> ## Documentation Index
> Fetch the complete documentation index at: https://docs.qontext.ai/llms.txt
> Use this file to discover all available pages before exploring further.

# Get job status for sync log

> Get the current job status of a sync log.



## OpenAPI

````yaml https://api.qontext.ai/docs-json get /workspaces/{workspaceId}/sync-logs/{id}/job-status
openapi: 3.0.0
info:
  title: Qontext API
  description: API to ingest and retrieve data to enable contextualised AI.
  version: '1.0'
  contact: {}
servers:
  - url: https://api.qontext.ai
    description: Production
security: []
tags: []
paths:
  /workspaces/{workspaceId}/sync-logs/{id}/job-status:
    get:
      tags:
        - Sync Logs
      summary: Get job status for sync log
      description: Get the current job status of a sync log.
      operationId: SyncLogsController_getJobStatus
      parameters:
        - name: workspaceId
          required: true
          in: path
          description: The unique identifier of the workspace the sync log belongs to.
          schema:
            example: ws_123e4567-e89b-12d3-a456-426614174000
            type: string
        - name: id
          required: true
          in: path
          description: The unique identifier of the sync log.
          schema:
            example: sync_42a17e56-b98d-4fd9-b2ce-5a8b12d7f9ad
            type: string
      responses:
        '200':
          description: Job status successfully retrieved
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/SyncJobStatusDto'
        '400':
          description: Bad request
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/BadRequestDto'
        '401':
          description: Unauthorized
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/UnauthorizedDto'
        '403':
          description: Forbidden
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ForbiddenDto'
        '404':
          description: Not found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/NotFoundDto'
        '500':
          description: Internal server error
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/InternalServerErrorDto'
      security:
        - X-API-Key:
            - X-API-Key
        - bearer: []
components:
  schemas:
    SyncJobStatusDto:
      type: object
      properties:
        id:
          type: string
          description: Id of the sync log
          example: '1234'
        status:
          type: string
          description: Status of the sync job
          example: completed
        progress:
          type: number
          description: Progress of the sync job
          example: 0
        completedOn:
          type: string
          description: Datetime of the sync job completion
          example: '2025-09-28T12:51:47.293Z'
      required:
        - id
        - status
        - progress
        - completedOn
    BadRequestDto:
      type: object
      properties:
        message:
          description: Array of specific error messages
          example:
            - <error message>
            - <error message>
          type: array
          items:
            type: string
        error:
          type: string
          description: Error Message
          example: Bad Request
        statusCode:
          type: number
          description: Status Code
          example: 400
          default: 400
      required:
        - message
        - error
        - statusCode
    UnauthorizedDto:
      type: object
      properties:
        message:
          type: string
          description: String or array of strings with specific error message(s)
          example: <error message(s)>
        error:
          type: string
          description: Error Message
          example: Unauthorized
        statusCode:
          type: number
          description: Status Code
          example: 401
          default: 401
      required:
        - message
        - error
        - statusCode
    ForbiddenDto:
      type: object
      properties:
        message:
          type: string
          description: String or array of strings with specific error message(s)
          example: <error message(s)>
        error:
          type: string
          description: Error Message
          example: Forbidden
        statusCode:
          type: number
          description: Status Code
          example: 403
          default: 403
      required:
        - message
        - error
        - statusCode
    NotFoundDto:
      type: object
      properties:
        message:
          type: string
          description: String or array of strings with specific error message(s)
          example: <error message(s)>
        error:
          type: string
          description: Error Message
          example: Not Found
        statusCode:
          type: number
          description: Status Code
          example: 404
          default: 404
      required:
        - message
        - error
        - statusCode
    InternalServerErrorDto:
      type: object
      properties:
        error:
          type: string
          description: Error Message
          example: Internal Server Error
        statusCode:
          type: number
          description: Status Code
          example: 500
          default: 500
      required:
        - error
        - statusCode
  securitySchemes:
    X-API-Key:
      type: apiKey
      in: header
      name: X-API-Key
      description: API key for the Qontext API

````